<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">
<html xmlns="https://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>SOLEIL/GRADES: Fluorescence/Diffraction Service</title>
<style>

      
      input[type=submit] {
        background-color: #4CAF50;
        color: white;
        padding: 12px 20px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
      }

    </style>
</head>

<body>
<h1 align="center"><i>Fluorescence/Diffraction Service</i></h1>

<p>
This service allows to compute an estimate of the diffraction pattern, as well as the fluorescence spectrum from an initial crystallographic structure file (CIF) or a chemical formula.
</p>
You are invited to search for your material in the following resources:
<ul>
<li><a href="http://crystallography.net/cod/">Crystallography Open Database (COD)</a></li>
<li><a href="https://www.materialsproject.org/">MaterialsProject</a></li>
<li><a href="https://www.materialscloud.org">Materials Cloud</a>
<li><a href="https://nomad-lab.eu/">NoMaD repository</a></li>
<li><a href="http://phonondb.mtl.kyoto-u.ac.jp/">PhononDB</a></li>
</ul> or simply use <a href='https://gitlab.com/soleil-data-treatment/soleil-software-projects/material-modeling-service/-/raw/main/src/examples/Al.cif?ref_type=heads'>Al</a> for a test.</p>
<p>
The results and running computations are stored into 
<a href="/data/diffraction">
data/diffraction</a>. 
By submitting your data here,<i>you implicitely agree to share it</i> with other 
colleagues. 
</p>

<!-- ----------------------------------------------------------------------- -->
<hr>
<form action="/cgi-bin/fluo_diffraction.pl" id="upload" method="post" ENCTYPE="multipart/form-data" name="upload">

<table width="100%">

<!-- the metadata ---------------------------------------------------------- -->
<tr>
  <td><b>Your User ID *:</b></td> 
  <td><input type="text" name="user_id" placeholder="Your user ID (e.g. LDAP/EXP SUNset)" size="40" /></td>
</tr>

<tr>  <!-- optional -->
  <td><b>Your Password *:</b></td>
  <td><input type="password" name="user_pw"         placeholder="Your password" size="40" ></td>
</tr>

<tr>
  <td><b>Incident X-ray Energy [keV]:</b></td>  
  <td>
    <input id="energy" name="energy" type="number" value="16.99" step=0.01 size="40" />
  </td>
</tr>

<!-- the input file(s) ----------------------------------------------------- -->
<tr>
  <td><hr><b>Material Structure * [CIF]:</b></td> 
  <td><input type="file" name="dataset" id="dataset" title="CIF format. Drag-n-drop a file" accept=".cif,.CIF" style="color:blue; font-size: 24px;" /></td>
</tr>
<tr>
  <td><b>OR Chemical Formula *:</b></td> 
  <td><input type="text" name="dataset_chem" id="dataset_chem" title="Fluorescence only, e.g. Al2O3" placeholder="Chemical Formula, e.g. Al2O3" size="40" /></td>
</tr>
</table>

<p align="center"><input type="submit" name="Submit" value="Compute !" title="Please be patient during computation..." /></p>
</form>

<hr>
<p><b>WARNING</b>: 
This service is only meant to provide a quick estimate of the fluorescence and diffraction patterns.  Some structures may fail in computing the diffraction pattern. 
The fluorescence will then work when given the chemical formula. 
<a href='https://gitlab.com/soleil-data-treatment/soleil-software-projects/fluo-diffraction-service'>Project code at Gitlab</a>. Powered with <a href="https://mcxtrace.org/">McXtrace</a> and <a href="https://github.com/tschoonj/xraylib">xraylib</a>.</p>
<small>GRADES (c) 2023- <a href="http://www.synchrotron-soleil.fr" target="_top">
Synchrotron SOLEIL - <img alt="SOLEIL" title="SOLEIL"
          src="https://www.synchrotron-soleil.fr/sites/default/files/logo_0.png"
          align="right" border="0" height="48"></a>
</small>

</body>

</html>
